osl::Neighboring8Direct::Table Class Reference

## Classes

struct | Entry

## Public Member Functions

bool | hasEffect (const NumEffectState &state, PtypeO ptypeo, Square from, Square target) const
bool | hasEffectOrAdditional (const NumEffectState &state, PtypeO ptypeo, Square from, Square target) const
Square | findNearest (const NumEffectState &state, PtypeO ptypeo, Square from, Square target) const

## Private Member Functions

void | init (Player)

## Private Attributes

CArray2d< Entry, PTYPEO_SIZE, Offset32::SIZE > | table

## Friends

class | Neighboring8Direct

## Detailed Description

Definition at line 17 of file neighboring8Direct.h.

## Member Function Documentation

## findNearest()

Square osl::effect_util::Neighboring8Direct::Table::findNearest | ( | const NumEffectState & | state,
|  | PtypeO | ptypeo,
|  | Square | from,
|  | Square | target ) const

inline

Definition at line 85 of file neighboring8Direct.h.

## hasEffect()

bool osl::effect_util::Neighboring8Direct::Table::hasEffect | ( | const NumEffectState & | state,
|  | PtypeO | ptypeo,
|  | Square | from,
|  | Square | target ) const

inline

Definition at line 31 of file neighboring8Direct.h.

## hasEffectOrAdditional()

bool osl::effect_util::Neighboring8Direct::Table::hasEffectOrAdditional | ( | const NumEffectState & | state,
|  | PtypeO | ptypeo,
|  | Square | from,
|  | Square | target ) const

inline

Definition at line 51 of file neighboring8Direct.h.

## init()

void osl::effect_util::Neighboring8Direct::Table::init | ( | Player | player | ) |

private

Definition at line 21 of file neighboring8Direct.cc.

## Friends And Related Symbol Documentation

## Neighboring8Direct

friend class Neighboring8Direct

friend

Definition at line 28 of file neighboring8Direct.h.

## Member Data Documentation

## table

CArray2d<Entry,PTYPEO_SIZE,Offset32::SIZE> osl::effect_util::Neighboring8Direct::Table::table

private

Definition at line 27 of file neighboring8Direct.h.

The documentation for this class was generated from the following files:

- neighboring8Direct.h
- neighboring8Direct.cc